$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-04deb97f94088be7293448115ccc68a13bd9fddd/rpcs3-v0.0.12-10924-04deb97f_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'f9a8a61f41a13df758c53f744705e3142d1e9846d8c855576c321722c4141052'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
